Bug 27637 - [Gtk] Needs a signal for didFinishDocumentLoadForFrame - fails fast/history/saves-state-after-fragment-nav.html
: [Gtk] Needs a signal for didFinishDocumentLoadForFrame - fails fast/history/s...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To: Nobody
: Gtk
Depends on:
Blocks: 28823
  Show dependency treegraph
 
Reported: 2009-07-23 22:10 PDT by Jan Alonzo
Modified: 2010-07-30 12:36 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Alonzo 2009-07-23 22:10:17 PDT
I would like to propose to that Gtk emit a signal for didFinishDocumentLoadForFrame, probably as a state of load-status. This will also allow us to pass the test above.

Here's the diff of the failing test:
@@ -1,3 +1 @@
-main frame - has 1 onunload handler(s)
-main frame - has 1 onunload handler(s)
 PASS
Comment 1 Gustavo Noronha (kov) 2009-09-10 04:31:34 PDT
That sounds like a good idea. I feel we should study Mac's API docs for this delegate and the ones it is related to. This looks like the API used to help with DOM bindings usage, doesn't it?
Comment 2 Jan Alonzo 2009-09-10 04:43:44 PDT
(In reply to comment #1)
> That sounds like a good idea. I feel we should study Mac's API docs for this
> delegate and the ones it is related to. This looks like the API used to help
> with DOM bindings usage, doesn't it?

I have an implementation for this but it's a bit hackish. The main issue is that there's no elegant way for us to connect to each (sub) frame. Most of the time I had to connect while the main frame is loading so I don't miss a frame (some frames get loaded dynamically). I feel that we might need this functionality once we start working on the DOM bindings so this bug can probably serve as a guinea pig.
Comment 3 Martin Robinson 2010-07-30 12:34:21 PDT
This feature was added in https://bugs.webkit.org/show_bug.cgi?id=32170 . The test passes, so I'll unskip it now.
Comment 4 Martin Robinson 2010-07-30 12:36:16 PDT
Committed r64368: <http://trac.webkit.org/changeset/64368>